
/* ndir.h for MS-DOS by SKL, June/87 */

#define MSDOS_MAXNAMLEN 12
#define MAXNAMLEN MSDOS_MAXNAMLEN

struct direct {
   long d_ino;
   short d_reclen;
   short d_namlen;
   char d_name[MAXNAMLEN + 1];
};

typedef struct {
   char filereserved[21];
   char fileattr;
   int  filetime, filedate;
   long filesize;
   char filename[MSDOS_MAXNAMLEN + 1];
} DTA;

typedef struct {
   char dirid[4];
   struct direct dirent;
   DTA dirdta;
   int dirfirst;
} DIR;

extern DIR *opendir();
extern struct direct *readdir();
extern void closedir();


